## uncertainties 3.1.2.github

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

pdf: latex
	(cd _build/latex; $(MAKE) all-pdf)

# The HTML needs pdf because it contains a link to the PDF version:
html: pdf
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: pdf
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

epub: pdf
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) _build/epub
	@echo
	@echo "Build finished; the EPUB documentation is in" \
	      "_build/epub."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/uncertaintiesPythonpackage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/uncertaintiesPythonpackage.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## uncertainties 1.5.4

=== debian/changelog ===
uncertainties (1.5.4-1) unstable; urgency=low

  * New upstream release.
    + Build-depend on python-numpy, it's needed to run tests.
    + Test failures happens reasonably seldom (closes: #584263).
  * Add Debian Python Modules Team to uploaders.
  * Add Vcs-* fields.
  * Respect the ‘nocheck’ build option.
  * Drop work-around for bug #575377.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 04 Jun 2010 16:14:10 +0200

uncertainties (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Run tests at build time.
    + Build-depend on python-all and python-nose.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 28 Feb 2010 12:30:24 +0100

uncertainties (1.4.1-1) unstable; urgency=low

  * Initial release (closes: #566485).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 07 Feb 2010 02:01:03 +0100

=== debian/control ===
Source: uncertainties
Maintainer: Jakub Wilk <jwilk@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.90), python-all (>= 2.5),
  python-numpy, python-nose
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://pypi.python.org/pypi/uncertainties/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/uncertainties/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/uncertainties/trunk/

Package: python-uncertainties
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-numpy
Description: Python module for calculations with uncertainties
 uncertainties is a Python module, which allows calculations such as
 .
   (0.2 +/- 0.01) * 2 = 0.4 +/- 0.02
 .
 to be performed transparently; much more complex mathematical expressions
 involving numbers with uncertainties can also be evaluated transparently.
 .
 Correlations between expressions are correctly taken into account; x-x is
 thus exactly zero, for instance. The uncertainties produced by this module
 are what is predicted by error propagation theory.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	grep -A 1000 'Version history' PKG-INFO \
	| tail -n +3 \
	| sed -e 's/^ *//; s/  */ /g; /^ *$$/ q; s/$$/\n/' \
	| fmt > changelog
	dh_installchangelogs

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	cd uncertainties; \
	for python in $(shell pyversions -r); do \
		$$python /usr/bin/nosetests; \
	done
endif

.PHONY: build build-arch build-indep binary binary-indep clean
build build-indep binary binary-indep clean:
	dh $(@)
# In order not to confuse lintian, *-arch are separate targets:
build-arch binary-arch:

# vim:ts=4 sw=4 noet

## uncertainties 1.5.5

=== debian/changelog ===
uncertainties (1.5.5-1) unstable; urgency=low

  * New upstream version
  * debian/copyright updated, the software is now licensed under a
    BSD-3 license.

 -- David Paleino <dapal@debian.org>  Fri, 16 Jul 2010 07:46:12 +0200

uncertainties (1.5.4.9-1) unstable; urgency=low

  * New upstream version
  * debian/rules: don't run tests if nocheck is passed in
    DEB_BUILD_OPTIONS (Closes: #587436)

 -- David Paleino <dapal@debian.org>  Mon, 05 Jul 2010 16:23:47 +0200

uncertainties (1.5.4.8-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Tue, 29 Jun 2010 08:43:33 +0200

uncertainties (1.5.4.3-2) unstable; urgency=low

  * Adopting the package (Closes: #587064)
  * Package moved from DPMT's SVN to collab-maint Git
  * debian/control:
    - Vcs-* fields updated
    - removed DPMT from Uploaders, added Federico Ceratto
    - dependency fields re-wrapped
    - Standards-Version bumped to 3.9.0, no changes needed
  * debian/rules simplified
  * debian/copyright: added myself for debian/*

 -- David Paleino <dapal@debian.org>  Mon, 28 Jun 2010 17:29:16 +0200

uncertainties (1.5.4.3-1) unstable; urgency=low

  * New upstream release.
    + Update Homepage field.
  * Don't install test modules into the binary package.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 24 Jun 2010 21:46:22 +0200

=== debian/control ===
Source: uncertainties
Section: python
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends:
 debhelper (>= 7.0.50~)
 , python-support (>= 0.90)
 , python-all (>= 2.5)
 , python-numpy
 , python-nose
Standards-Version: 3.9.0
XS-Python-Version: >= 2.5
Homepage: http://packages.python.org/uncertainties/
Vcs-Git: git://git.debian.org/git/collab-maint/uncertainties.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/uncertainties.git

Package: python-uncertainties
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
Recommends: python-numpy
Description: Python module for calculations with uncertainties
 uncertainties is a Python module, which allows calculations such as
 .
   (0.2 +/- 0.01) * 2 = 0.4 +/- 0.02
 .
 to be performed transparently; much more complex mathematical expressions
 involving numbers with uncertainties can also be evaluated transparently.
 .
 Correlations between expressions are correctly taken into account; x-x is
 thus exactly zero, for instance. The uncertainties produced by this module
 are what is predicted by error propagation theory.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	grep -A 1000 'Version history' PKG-INFO \
	| tail -n +3 \
	| sed -e 's/^ *//; s/  */ /g; /^ *$$/ q; s/$$/\n/' \
	| fmt > changelog
	dh_installchangelogs

override_dh_auto_install:
	dh_auto_install
	find debian/python-uncertainties/ -name 'test_*.py' -delete

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	cd uncertainties; \
	for python in $(shell pyversions -r); do \
		$$python /usr/bin/nosetests; \
	done
endif

## uncertainties 1.7

=== debian/changelog ===
uncertainties (1.7-1) unstable; urgency=low

  * New upstream release
  * debian/patches/00-fix_encoding.patch refreshed

 -- David Paleino <dapal@debian.org>  Sun, 29 Aug 2010 10:03:15 +0200

uncertainties (1.6-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bump to 3.9.1, no changes needed
  * debian/patches/00-fix_encoding.patch added, fix FTBFS caused by
    a distutils bug.

 -- David Paleino <dapal@debian.org>  Sun, 22 Aug 2010 09:12:43 +0200

## uncertainties 1.7.1

=== debian/changelog ===
uncertainties (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Patches refreshed

 -- David Paleino <dapal@debian.org>  Fri, 25 Mar 2011 23:17:11 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  , python-all (>= 2.5)
  , python-numpy
  , python-nose
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
 Homepage: http://packages.python.org/uncertainties/
 Vcs-Git: git://git.debian.org/git/collab-maint/uncertainties.git

## uncertainties 1.8

=== debian/changelog ===
uncertainties (1.8-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 01 Nov 2011 19:47:11 +0000

uncertainties (1.7.4-1) unstable; urgency=low

  * New upstream release
  * Package switched from pysupport to dh_python2
  * Patches removed, fixed upstream
  * Standards-Version bump to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Tue, 13 Sep 2011 09:05:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
+DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 7.0.50~)
- , python-support (>= 0.90)
- , python-all (>= 2.5)
+ debhelper (>= 8.0.0~)
+ , python-all (>= 2.6.6-3~)
  , python-numpy
  , python-nose
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.3
 Homepage: http://packages.python.org/uncertainties/
 Vcs-Git: git://git.debian.org/git/collab-maint/uncertainties.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/uncertainties.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ \
		--with python2

override_dh_installchangelogs:
	grep -A 1000 'Version history' PKG-INFO \
	| tail -n +4 \
	| sed -e 's/^ *//g;s/  */ /g;s/$$/\n/g' \
	| fmt > changelog
	dh_installchangelogs

override_dh_auto_install:
	dh_auto_install
	find debian/python-uncertainties/ -name 'test_*.py' -delete

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	ln -s uncertainties-py25 uncertainties; \
	cd uncertainties; \
	for python in $(shell pyversions -r); do \
		$$python /usr/bin/nosetests -e test_umath; \
	done
endif

## uncertainties 1.9

=== debian/changelog ===
uncertainties (1.9-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/copyright.
  * Standards-Version bump to 3.9.4, no changes needed.
  * DMUA removed.
  * Bumped debhelper compat to 9.
  * Fix Vcs-* urls.

 -- David Paleino <dapal@debian.org>  Mon, 31 Dec 2012 09:15:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
-DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8.0.0~)
+ debhelper (>= 9~)
  , python-all (>= 2.6.6-3~)
  , python-numpy
  , python-nose
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.3
 Homepage: http://packages.python.org/uncertainties/
-Vcs-Git: git://git.debian.org/git/collab-maint/uncertainties.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/uncertainties.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/uncertainties.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uncertainties.git
 
 Package: python-uncertainties
 Architecture: all

## uncertainties 2.4.2

=== debian/changelog ===
uncertainties (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * lib2to3 patch added.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 26 Nov 2013 23:21:09 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  ${misc:Depends}
  , ${python:Depends}
 Recommends: python-numpy
+Provides: ${python:Provides}
 Description: Python module for calculations with uncertainties
  uncertainties is a Python module, which allows calculations such as
  .

## uncertainties 2.4.4

=== debian/changelog ===
uncertainties (2.4.4-1) unstable; urgency=low

  * New upstream release
  * Python3 support added (Closes: #660945)
  * Documentation added
  * Switched to Pybuild
  * Changelog fixed
  * Standards-Version bumped to 3.9.5

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 11 Jan 2014 16:25:36 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,18 @@
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
 Build-Depends:
- debhelper (>= 9~)
+ debhelper (>= 9~),
+ , dh-python
  , python-all (>= 2.6.6-3~)
+ , python-nose
  , python-numpy
- , python-nose
-Standards-Version: 3.9.4
+ , python-sphinx
+ , python3-all
+ , python3-nose
+ , python3-numpy
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.3
+X-Python3-Version: >= 3.2
 Homepage: http://packages.python.org/uncertainties/
 Vcs-Git: git://anonscm.debian.org/collab-maint/uncertainties.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uncertainties.git
@@ -32,3 +38,22 @@
  Correlations between expressions are correctly taken into account; x-x is
  thus exactly zero, for instance. The uncertainties produced by this module
  are what is predicted by error propagation theory.
+
+Package: python3-uncertainties
+Architecture: all
+Depends:
+ ${misc:Depends}
+ , ${python3:Depends}
+Recommends: python3-numpy
+Provides: ${python3:Provides}
+Description: Python3 module for calculations with uncertainties
+ uncertainties is a Python3 module, which allows calculations such as
+ .
+   (0.2 +/- 0.01) * 2 = 0.4 +/- 0.02
+ .
+ to be performed transparently; much more complex mathematical expressions
+ involving numbers with uncertainties can also be evaluated transparently.
+ .
+ Correlations between expressions are correctly taken into account; x-x is
+ thus exactly zero, for instance. The uncertainties produced by this module
+ are what is predicted by error propagation theory.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=uncertainties
export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc  --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml doc debian/html

override_dh_installchangelogs:
	grep -A 1000 'Version history' PKG-INFO \
	| grep '^        - ' \
	| sed -e 's/^ *//g;s/  */ /g;s/$$/\n/g' \
	| fmt > changelog
	dh_installchangelogs

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd uncertainties; nosetests" dh_auto_test

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/u/uncertainties/uncertainties-([0-9.]+)[.]tar[.]gz

## uncertainties 3.0.2.github

=== debian/changelog ===
uncertainties (3.0.2.github-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Follow hint by Piotr Ożarowski and add python3-setuptools to Build-Depends
  * Manually remove duplicated modules

  [Picca Frédéric-Emmanuel]
  * 0002-remove-useless-sys.path-from-conf.py.patch
  * Added an hack to skip failling unit test.

 -- Andreas Tille <tille@debian.org>  Wed, 17 Oct 2018 19:39:36 +0200

uncertainties (3.0.2.github-1) unstable; urgency=medium

  * Team Upload
  * d/watch: Obtain code release from github which is different from pypi
    and lmfit-py claim that this code is working (see
    https://github.com/lmfit/lmfit-py/issues/502#issuecomment-428638278 )
  * Simplify d/rules
  * Do not disable unit tests
  * Ignore some errors in unit tests - this makes the package not worse
    than before where testing was skipped at all
  * Work around broken RefactoringTool which breaks TO_SUPERSCRIPT

 -- Andreas Tille <tille@debian.org>  Fri, 12 Oct 2018 17:20:07 +0200

uncertainties (3.0.2-1) unstable; urgency=medium

  * Team upload

  [ Federico Ceratto ]
  * New upstream release.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Andreas Tille ]
  * Set maintainer to Debian Python Modules Team
  * debhelper 11
  * Standards-Version: 4.2.1
  * cme fix dpkg-control
  * Build-Depends: 2to3
  * Fix dh_auto_clean to not leave lots of changed files
  * Use python3-sphinx instead of python-sphinx
  * Set PYTHONPATH for doc creation
  * Testsuite: autopkgtest-pkg-python

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 14:23:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: uncertainties
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: David Paleino <dapal@debian.org>,
+           Federico Ceratto <federico.ceratto@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
-Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
-Build-Depends:
- debhelper (>= 9~),
- , dh-python
- , python-all (>= 2.6.6-3~)
- , python-nose
- , python-numpy
- , python-sphinx
- , python3-all
- , python3-nose
- , python3-numpy
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.3
-X-Python3-Version: >= 3.2
+Build-Depends: debhelper (>= 11~),
+               dh-python,
+               python-all,
+               python-nose,
+               python-numpy,
+               python-setuptools,
+               python3-sphinx,
+               python3-all,
+               python3-nose,
+               python3-numpy,
+               python3-setuptools,
+               2to3
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/python-uncertainties
+Vcs-Git: https://salsa.debian.org/debian/python-uncertainties.git
 Homepage: http://packages.python.org/uncertainties/
-Vcs-Git: git://anonscm.debian.org/collab-maint/uncertainties.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uncertainties.git
 
 Package: python-uncertainties
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends}
 Recommends: python-numpy
 Provides: ${python:Provides}
 Description: Python module for calculations with uncertainties
@@ -41,9 +42,8 @@
 
 Package: python3-uncertainties
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-numpy
 Provides: ${python3:Provides}
 Description: Python3 module for calculations with uncertainties

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=uncertainties
export DH_VERBOSE=1
export TRAVIS=1 # hack to skip lib2to3.tests.support missing module.

%:
	dh $@ --with python2,python3,sphinxdoc  --buildsystem=pybuild

override_dh_auto_clean:
	# clean for Python 3.x recreates files which makes dpkg-source fail
	pybuild --clean --test-nose -i python{version} -p 2.7
	find . -name .pydistutils.cfg -delete
	rm uncertainties.egg-info dist debian/html -rf

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=`pybuild --print build_dir --interpreter python3` http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml doc debian/html
endif

override_dh_python3:
	dh_python3
	rm -rfv debian/python3-$(PYBUILD_NAME)/usr/lib/python3.*

## uncertainties 3.1.2.github

=== debian/changelog ===
uncertainties (3.1.2.github-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 16:17:54 +0100

uncertainties (3.0.2.github-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:53:48 +0000

uncertainties (3.0.2.github-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #938753

 -- Sandro Tosi <morph@debian.org>  Mon, 21 Oct 2019 20:27:18 -0400

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-python,
-               python-all,
-               python-nose,
-               python-numpy,
-               python-setuptools,
                python3-sphinx,
                python3-all,
                python3-nose,
@@ -21,24 +17,6 @@
 Vcs-Browser: https://salsa.debian.org/debian/python-uncertainties
 Vcs-Git: https://salsa.debian.org/debian/python-uncertainties.git
 Homepage: http://packages.python.org/uncertainties/
-
-Package: python-uncertainties
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
-Recommends: python-numpy
-Provides: ${python:Provides}
-Description: Python module for calculations with uncertainties
- uncertainties is a Python module, which allows calculations such as
- .
-   (0.2 +/- 0.01) * 2 = 0.4 +/- 0.02
- .
- to be performed transparently; much more complex mathematical expressions
- involving numbers with uncertainties can also be evaluated transparently.
- .
- Correlations between expressions are correctly taken into account; x-x is
- thus exactly zero, for instance. The uncertainties produced by this module
- are what is predicted by error propagation theory.
 
 Package: python3-uncertainties
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,7 @@
 export TRAVIS=1 # hack to skip lib2to3.tests.support missing module.
 
 %:
-	dh $@ --with python2,python3,sphinxdoc  --buildsystem=pybuild
-
-override_dh_auto_clean:
-	# clean for Python 3.x recreates files which makes dpkg-source fail
-	pybuild --clean --test-nose -i python{version} -p 2.7
-	find . -name .pydistutils.cfg -delete
-	rm uncertainties.egg-info dist debian/html -rf
+	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://github.com/lebigot/uncertainties/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

# https://pypi.debian.net/uncertainties/uncertainties-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## uncertainties 3.1.5

=== debian/changelog ===
uncertainties (3.1.5-1) unstable; urgency=medium

  * New upstream version 3.1.5
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * refresh patch series

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Dec 2020 10:24:56 +0100

uncertainties (3.1.4-2) unstable; urgency=medium

  * Added autopkgtests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 11 Sep 2020 14:40:36 +0200

uncertainties (3.1.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.4
  * d/control: Added python3-future Build-Depends.
  * d/control: Added Breaks+Replaces: python-uncertainties (Closes: #949613)
  * d/control: Removed 2to3 Build-Depends, since uncertainties supports
               Python2 and Python3.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 09 Sep 2020 11:29:16 +0200

uncertainties (3.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #948432)
  * Switch Maintainer (Closes: #942816, #946093)

 -- Federico Ceratto <federico@debian.org>  Sun, 19 Jan 2020 12:04:05 +0000

=== debian/control ===
Source: uncertainties
Maintainer: Federico Ceratto <federico@debian.org>
Uploaders: David Paleino <dapal@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-future,
 python3-nose,
 python3-numpy,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/python-uncertainties
Vcs-Git: https://salsa.debian.org/debian/python-uncertainties.git
Homepage: https://packages.python.org/uncertainties/

Package: python3-uncertainties
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-numpy
Suggests: python-uncertainties-doc
Provides: ${python3:Provides}
Description: Python3 module for calculations with uncertainties
 uncertainties is a Python3 module, which allows calculations such as
 .
   (0.2 +/- 0.01) * 2 = 0.4 +/- 0.02
 .
 to be performed transparently; much more complex mathematical expressions
 involving numbers with uncertainties can also be evaluated transparently.
 .
 Correlations between expressions are correctly taken into account; x-x is
 thus exactly zero, for instance. The uncertainties produced by this module
 are what is predicted by error propagation theory.

Package: python-uncertainties-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-jquery,
 libjs-underscore
Suggests: python3-uncertainties
Breaks: python-uncertainties
Replaces: python-uncertainties
Description: Python3 module for calculations with uncertainties: documentation
 uncertainties is a Python3 module, which allows calculations such as
 .
   (0.2 +/- 0.01) * 2 = 0.4 +/- 0.02
 .
 to be performed transparently; much more complex mathematical expressions
 involving numbers with uncertainties can also be evaluated transparently.
 .
 Correlations between expressions are correctly taken into account; x-x is
 thus exactly zero, for instance. The uncertainties produced by this module
 are what is predicted by error propagation theory.
 .
 This package contains documentation for the python3-uncertainties package

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,14 @@
 
 override_dh_auto_build:
 	dh_auto_build
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=`pybuild --print build_dir --interpreter python3` http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml doc debian/html
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml doc debian/html
+	rm -rf ./build/html/.doctrees
+endif
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+	dh_sphinxdoc -ppython-uncertainties-doc
 endif
 
 override_dh_python3:

## uncertainties 3.1.6

=== debian/changelog ===
uncertainties (3.1.6-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 11 Jun 2022 14:11:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: David Paleino <dapal@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-python,
  python3-all,
@@ -12,7 +12,7 @@
  python3-numpy,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/python-uncertainties
 Vcs-Git: https://salsa.debian.org/debian/python-uncertainties.git
 Homepage: https://packages.python.org/uncertainties/

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ https://github.com/lebigot/uncertainties/releases .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## uncertainties 3.1.7

=== debian/changelog ===
uncertainties (3.1.7-2) unstable; urgency=medium

  * Team upload.

  [ Federico Ceratto ]
  * Set Debian Python Modules Team as maintainer

  [ Andreas Tille ]
  * Move git repository to DPT
  * Update maintainer email for merge of DPMT and PAPT.
  * Remove sphinx doc from debian/html
    Closes: #1046237

 -- Andreas Tille <tille@debian.org>  Wed, 14 Feb 2024 15:30:02 +0100

uncertainties (3.1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload: patch out extraneous python3-future.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 15 Dec 2023 21:00:36 +0100

uncertainties (3.1.7-1) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 15 Dec 2023 14:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: uncertainties
-Maintainer: Federico Ceratto <federico@debian.org>
-Uploaders: David Paleino <dapal@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Federico Ceratto <federico@debian.org>, David Paleino <dapal@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep:
- dh-python,
- python3-all,
- python3-future,
- python3-nose,
- python3-numpy,
- python3-setuptools,
- python3-sphinx
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/debian/python-uncertainties
-Vcs-Git: https://salsa.debian.org/debian/python-uncertainties.git
+Build-Depends-Indep: dh-sequence-numpy3,
+                     dh-sequence-python3,
+                     dh-sequence-sphinxdoc <!nodoc>,
+                     python3-all,
+                     python3-nose,
+                     python3-numpy,
+                     python3-setuptools,
+                     python3-sphinx
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uncertainties
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-uncertainties.git
 Homepage: https://packages.python.org/uncertainties/
+Rules-Requires-Root: no
 
 Package: python3-uncertainties
 Architecture: all
@@ -38,15 +39,13 @@
 
 Package: python-uncertainties-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
- libjs-jquery,
- libjs-underscore
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+         libjs-jquery,
+         libjs-underscore
 Suggests: python3-uncertainties
-Breaks: python-uncertainties
-Replaces: python-uncertainties
 Description: Python3 module for calculations with uncertainties: documentation
  uncertainties is a Python3 module, which allows calculations such as
  .

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,11 @@
 export TRAVIS=1 # hack to skip lib2to3.tests.support missing module.
 
 %:
-	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf debian/html
 
 override_dh_auto_build:
 	dh_auto_build
@@ -14,10 +18,10 @@
 	rm -rf ./build/html/.doctrees
 endif
 
-override_dh_sphinxdoc:
-ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
-	dh_sphinxdoc -ppython-uncertainties-doc
-endif
+# override_dh_sphinxdoc:
+# ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+# 	dh_sphinxdoc -ppython-uncertainties-doc
+# endif
 
 override_dh_python3:
 	dh_python3

=== debian/tests/control ===
Test-Command: set -efu
 ; cp -r uncertainties "$AUTOPKGTEST_TMP"
 ; cd "$AUTOPKGTEST_TMP"
 ; rm -f uncertainties/lib1to2/test_1to2.py
 ; nosetests3 -sv uncertainties/
Depends: python3-all, python3-uncertainties, python3-nose, python3-numpy
Restrictions: allow-stderr

## uncertainties 3.2.1

=== debian/changelog ===
uncertainties (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Jun 2024 08:24:11 +0100

uncertainties (3.2.0-1) unstable; urgency=medium

  * Team upload.

  [Yogeswaran Umasankar]
  * Patch to fix unumpy import error in autopkgtests.
  * Added autopkgtest-pkg-pybuild testsuite.
  * Removed debian/tests/control.
  * Update Build-Depends to replace nose. (Closes: #1018657)
    - python3-nose
    + python3-pytest
    + python3-pytest-cov

  [Alexandre Detiste]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Refresh patches
  * Update dependencies:
    - libjs-jquery
    - libjs-underscore
    + pybuild-plugin-pyproject
    + python3-sphinx-copybutton
    + node-mathjax-full

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Jun 2024 10:50:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,27 @@
 Source: uncertainties
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Federico Ceratto <federico@debian.org>, David Paleino <dapal@debian.org>
+Uploaders: Federico Ceratto <federico@debian.org>,
+           David Paleino <dapal@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-sequence-numpy3,
                      dh-sequence-python3,
                      dh-sequence-sphinxdoc <!nodoc>,
+                     pybuild-plugin-pyproject,
                      python3-all,
-                     python3-nose,
+                     python3-pytest,
+                     python3-pytest-cov,
                      python3-numpy,
                      python3-setuptools,
-                     python3-sphinx
-Standards-Version: 4.6.2
+                     python3-sphinx,
+                     python3-sphinx-copybutton,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uncertainties
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uncertainties.git
 Homepage: https://packages.python.org/uncertainties/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-uncertainties
 Architecture: all
@@ -43,8 +48,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-         libjs-jquery,
-         libjs-underscore
+         node-mathjax-full,
 Suggests: python3-uncertainties
 Description: Python3 module for calculations with uncertainties: documentation
  uncertainties is a Python3 module, which allows calculations such as

## uncertainties 3.2.2

=== debian/changelog ===
uncertainties (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Jul 2024 15:14:38 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                      python3-pytest-cov,
                      python3-numpy,
                      python3-setuptools,
+                     python3-setuptools-scm,
                      python3-sphinx,
                      python3-sphinx-copybutton,
 Standards-Version: 4.7.0

## uncertainties 3.2.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
PDFFILE = uncertainties.pdf

.PHONY:  all html help clean latex pdf

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

all: html pdf
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	-cp _build/latex/$(PDFFILE) _build/html/.
	@echo
	-cd _build && ln -s html uncertainties_doc && zip -pur uncertainties_doc.zip uncertainties_doc/* && mv uncertainties_doc.zip html && rm -f uncertainties_doc
	@echo "Build finished. The HTML pages are in _build/html."

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  all       to make standalone HTML files with PDF and zipped HTML"
	@echo "  html      to make standalone HTML files"
	@echo "  pdf       to make PDF"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  clean     to clean folders"

clean:
	-rm -rf _build/*

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

pdf: latex
	(cd _build/latex; $(MAKE) all-pdf)

=== debian/changelog ===
uncertainties (3.2.3-3) unstable; urgency=medium

  * Team upload.
  [ Colin Watson ]
  * Breaks: python3-lmfit (<< 1.3.3-3~).
  [ Santiago Vila ]
  * Breaks: python3-pymatgen (<< 2025.2.18+dfsg1-5~)

 -- Santiago Vila <sanvila@debian.org>  Sat, 14 Jun 2025 10:50:00 +0200

uncertainties (3.2.3-2) unstable; urgency=medium

  * Team upload.
  * Disable timing tests. Closes: #1105983.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sun, 18 May 2025 17:55:00 +0200

uncertainties (3.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix Sphinx copyright year substitution to improve reproducibility.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 18:00:59 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      python3-setuptools-scm,
                      python3-sphinx,
                      python3-sphinx-copybutton,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uncertainties
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uncertainties.git
 Homepage: https://packages.python.org/uncertainties/
@@ -29,6 +29,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-numpy
+Breaks: python3-lmfit (<< 1.3.3-3~), python3-pymatgen (<< 2025.2.18+dfsg1-5~)
 Suggests: python-uncertainties-doc
 Provides: ${python3:Provides}
 Description: Python3 module for calculations with uncertainties

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export PYBUILD_NAME=uncertainties
 export DH_VERBOSE=1
-export TRAVIS=1 # hack to skip lib2to3.tests.support missing module.
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -15,6 +14,7 @@
 	dh_auto_build
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml doc debian/html
+	sed -i 's|https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js|file:///usr/share/nodejs/mathjax-full/es5/tex-mml-chtml.js|' debian/html/user_guide.html
 	rm -rf ./build/html/.doctrees
 endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ https://github.com/lebigot/uncertainties/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
